var KEY_GUARDAR="KEY_GUARDAR";

var KEY_CANCELAR="KEY_CANCELAR";

var KEY_DESASOCIAR_OFICINA="KEY_DESASOCIAR_OFICINA";

var KEY_ASOCIAR_OFICINA="KEY_ASOCIAR_OFICINA";





function onLoadPage() {	

	//document.all["agente(idOfi)"].value=document.all["idOfi"].value;

	//QUITAR CUANDO SE PONGA EL BUSCADOR DE OFICINA 

	//document.all["agente(idOfi)"].value=1;

	document.all["agente(idOfi)"].value="";

	document.all["agente(nomb)"].focus();	

	

	if(document.forms[0].idOfi!=null) {

	

		if(document.forms[0].idOfi.length == undefined){ //solo hay uno

			document.forms[0].idOfi.checked=true;

		}else{

			document.forms[0].idOfi[0].checked=true;

		}		

		document.forms["formDetalleAgente"].desasociarOficina.disabled=false;

	}else{

	

		document.forms["formDetalleAgente"].desasociarOficina.disabled=true;

	}

}



function ponAccion(key){		

	document.forms["formDetalleAgente"].accion.value=key;

	document.forms["formDetalleAgente"].submit();

}



//Se indica la acción a realizar

function ponAccion(key,campo){	

	 //Validamos el formato del email

  	if((key!=KEY_ASOCIAR_OFICINA) && (key!=KEY_DESASOCIAR_OFICINA) && !validaEmail(document["formDetalleAgente"].elements["agente(emaila)"].value)){

	 	alert(emailNoValido);

	  	document.all["agente(emaila)"].focus();	

  	}else{

  		if (key==KEY_DESASOCIAR_OFICINA){	

			document.forms[0].columnaPK.value=document.all["agente(idAgente)"].value +","+devolverCliqueado(campo);	

		}

		document.forms[0].accion.value=key;

		document.forms[0].submit();

	}

}





